Component({
  relations: {
    "../segment": {

    }
  },
  properties: {
    custome: {
      type: Boolean,
      value: false
    },
    customeData: {
      type: Object,
      value: {}
    },
    backgroundColor: {
      type: String,
      value: '#FFFFFF'
    },
    title: {
      type: String,
      value: ''
    },
    width: {
      type: String,
      value: '100%'
    },
    opacity: {
      type: Number,
      value: 0.4
    },
    closeOnClickModal: {
      type: Boolean,
      value: false
    },
    animation: {
      type: Boolean,
      value: true
    },
    confirmText: {
      type: String,
      value: '同意'
    },
    cancelText: {
      type: String,
      value: '拒绝'
    },
    confirmColor: {
      type: String,
      value: '#FFFFFF'
    },
    confirmBorderColor: {
      type: String,
      value: '#00FFFFFF'
    },
    cancelColor: {
      type: String,
      value: '#1A263B'
    },
    confirmOpenType: {
      type: String,
      value: ''
    },
    cancelOpenType: {
      type: String,
      value: ''
    },
    cancelBorderColor: {
      type: String,
      value: '#00FFFFFF'
    },
    showConfirm: {
      type: Boolean,
      value: true
    },
    showCancel: {
      type: Boolean,
      value: true
    },
    confirmBackgroundColor: {
      type: String,
      value: '#ED7B2F'
    },
    cancelBackgroundColor: {
      type: String,
      value: '#ffffff'
    },
    loading: {
      type: Boolean,
      value: false
    },
    gatherFormId: {
      type: Boolean,
      value: false
    },
    appParameter: {
      type: String,
      value: ''
    },
    sessionFrom: {
      type: String,
      value: ''
    },
    position: {
      type: String,
      value: 'center'
    },
    footerLinkColor: {
      type: String,
      value: '#ED7B2F'
    },
    footerLink: {
      type: Array,
      value: []
    }
  },
  options: {
    multipleSlots: true 
  },
  data: {
  },
  methods: {
    close() {
      this.triggerEvent('close')
    },
    cancel() {
      this.triggerEvent('cancel')
    },
    confirm() {
      this.triggerEvent('confirm')
    },
    link(event) {
      this.triggerEvent('link', event.currentTarget.dataset.value)
    },
    touchMask() {
      if (this.data.closeOnClickModal) {
        this.close()
      }
    },
    formSubmit(e) {
      let formid = e.detail.formId
      if (/requestFormId:fail/.test(formid)) {
        return
      }
      this.triggerEvent('getFormId', {
        formId: formid
      })
    },
    getUserinfo(e) {
      this.triggerEvent('getuserinfo', e.detail)
    },
    contact(e) {
      this.triggerEvent('contact')
    },
    getphonenumber(e) {
      this.triggerEvent('getphonenumber', e.detail)
    },
    opensetting() {
      this.triggerEvent('opensetting')
    },
    launchapp() {
      this.triggerEvent('launchapp')
    }
  }
})
