Component({
  properties: {
    margin: {
      type:String,
      value:""
    },
    marginLeft: {
      type:String,
      value:""
    },
    marginRight: {
      type:String,
      value:""
    },
    marginTop: {
      type:String,
      value:""
    },
    marginBottom: {
      type:String,
      value:""
    },
    title: {
      type: String,
      value: ""
    },
    content: {
      type: String,
      value: ""
    },
    contentMaxHeightPercent: {
      type: Number,
      value: -1,
    }
  },
  data: {
    scrollMaxHeight: ''
  },
  methods: {
    onClose: function(event) {
      this.triggerEvent('close')
    }
  },
  observers: {
    'contentMaxHeightPercent': function(newValue){
      const wHeight = wx.getSystemInfoSync().windowHeight;
      if(wHeight && wHeight > 0) {
        if(newValue > 0) {
          this.setData({
            scrollMaxHeight: (wHeight * newValue) + 'px'
          })
        } else {
          this.setData({
            scrollMaxHeight: (wHeight * 0.6) + 'px' // 默认0.6
          })
        }
      }
     
    }
  }
})